Bug 145828 - Cell line width applied by uno:SetBorderStyle should be the same as in "Format Cells" menu
Summary: Cell line width applied by uno:SetBorderStyle should be the same as in "Forma...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.3.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Samuel Mehrbrodt (allotropia)
URL:
Whiteboard: target:7.3.0 target:7.4.0 target:7.3....
Keywords:
Depends on:
Blocks:
 
Reported: 2021-11-22 12:49 UTC by Rafael Lima
Modified: 2021-12-08 07:53 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot showing the problem (38.73 KB, application/vnd.oasis.opendocument.graphics)
2021-11-22 12:49 UTC, Rafael Lima
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rafael Lima 2021-11-22 12:49:37 UTC
Created attachment 176420 [details]
Screenshot showing the problem

The fix for bug 48622 makes 0.75pt (Thin) the default line width for cells formatted using the menu Format > Cells and then selecting the Borders tab (this is only valid for LO 7.3). Using 0.75pt as default was a great improvement for better Calc / Excel compatibility.

However, using the border formatting tool in the standard toolbar (command uno:SetBorderStyle) and in the sidebar still applies 0.05pt by default (see attached ODG image for more info).

I would like to suggest 0.75pt be the default everywhere, so that when the user applies a border formatting using the standard toolbar (or the sidebar) the result will be the same as when the Format > Cells menu is used.

Screenshots were taken from LO 7.3 alpha using current master.
Comment 2 Commit Notification 2021-11-24 15:55:21 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2f43d95a0fb4bdd7121968ff9f365ffc325e5647

tdf#145828 Sidebar line styles: Default to "thin" width

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2021-12-07 17:46:32 UTC
Armin Le Grand (Allotropia) committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8995bc21ee570c9a914df71817a132c3b3637059

tdf#48622, tdf#145828 use correct default for border line width

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2021-12-08 07:53:04 UTC
Armin Le Grand (Allotropia) committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/ef75bac5e69df10315ecde629ec8d71c221c8825

tdf#48622, tdf#145828 use correct default for border line width

It will be available in 7.3.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.